<?php
session_start();
//RESTRICCIN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("../fphp.php");
$enlace=cargar_conexion();

if((isset($_POST['codigoy']))) {
  $codigo= $_POST['codigoy'];
  $dia_ingresa= $_POST['dia'];
  $sql="SELECT * from personal where codigo='$codigo' AND id=".$_SESSION['id_validar']."";
  $result=mysql_query($sql);
  $mostrar=mysql_fetch_array($result);
  $codigo_turno=$mostrar['turno'];

  switch ($dia_ingresa) {
    case '6':
      $dia='dom';
      break;
    case '0':
      $dia='lun';
      break;
    case '1':
      $dia='mar';
      break;
    case '2':
      $dia='mie';
      break;
    case '3':
      $dia='jue';
      break;
    case '4':
      $dia='vie';
      break;
    case '5':
      $dia='sab';
      break;
  }
   $dia1=$dia.'1';
   $dia4=$dia.'4';

  if ($codigo_turno==''){
    $horario=''; // Funcionario no tiene turno asignado
    $hora_inicio ='';
    $hora_fin ='';
  }else{
    $sql="SELECT $dia1 AS hora_inicio, $dia4 AS hora_fin FROM `turno` where codigo ='$codigo_turno' AND id=".$_SESSION['id_validar']."" ;
    $result = mysql_query($sql);
    $mostrar=mysql_fetch_array($result);

    $hora_inicio = $mostrar['hora_inicio'];
    $hora_fin = $mostrar['hora_fin'];

    if($hora_inicio == ''){
      $hora_inicio = '';
    }else{
      $hora_inicio = substr($hora_inicio,0,2).':'.substr($hora_inicio,2,2);
    }

    if($hora_fin == ''){
      $hora_fin = '';
    }else{
      $hora_fin = substr($hora_fin,0,2).':'.substr($hora_fin,2,2);
    }
    echo json_encode("$hora_inicio,$hora_fin");
  }
}

if((isset($_POST['consulta']))){
  $position_number = $_SESSION['position_number'];

	//Valida si es supervisor o es de RRHH
	if ((substr($_SESSION['acceso_validar'],30,1)=='1')||(substr($_SESSION['acceso_validar'],34,1)=='1')) {
		$sql="SELECT * FROM personal WHERE status='A' AND id=".$_SESSION['id_validar']."";
	}else{
		$sql="SELECT * FROM personal WHERE supervisor = '$position_number' AND status='A' AND id=".$_SESSION['id_validar']."";
	}
  $result=mysql_query($sql);
  $json = array();
  while($row = mysql_fetch_array($result)) {
      $json[] = array(
      'codigo' => utf8_encode(ucwords(strtolower($row['codigo']))),
      'nombres' => utf8_encode(ucwords(strtolower($row['nombres']))).' '.utf8_encode(ucwords(strtolower($row['nombres1']))),
      'apellidos' => utf8_encode(ucwords(strtolower($row['apellidos']))).' '.utf8_encode(ucwords(strtolower($row['apellidos1']))),
      'supervisor' => utf8_encode(ucwords(strtolower($row['supervisor'])))
      );
  }
  echo json_encode($json);
}


//-----CONSULTA DATOS DE GENERAR BANCOS
if (isset($_POST['tipo_nomina'])) {
  $nomina = $_POST['tipo_nomina'];
  $query = "SELECT * FROM periodo WHERE nomina = '$nomina' AND pre=1 AND id='".$_SESSION['id_validar']."' ORDER BY periodo DESC";
  $resultado = mysql_query($query);
	//$machetazo = mysql_fetch_array($resultado); // Me salto el primer periodo que me arroja la respuesta del SQL.
  while($time = mysql_fetch_array($resultado)){
    $datosA[]=array(
      'desde'=>$time['desde'],
      'hasta'=>$time['hasta']
    );
  }
  //$datosA = [['desde'=>'2020-12-03','hasta'=>'2021-06-01'],['desde'=>'2020-12-03','hasta'=>'2021-06-01']];
  echo json_encode($datosA);
}

mysql_free_result($result);
mysql_close($enlace);
?>
